## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanSourceTreeWrapperParsedSource Class Reference

This is designed to allow a XalanTranfomer object to wrap a parsed Xerces document. More...

`#include <XalanSourceTreeWrapperParsedSource.hpp>`

Inheritance diagram for XalanSourceTreeWrapperParsedSource:

[legend]
Collaboration diagram for XalanSourceTreeWrapperParsedSource:

[legend]
List of all members.

## Public Methods

- XalanSourceTreeWrapperParsedSource (XalanSourceTreeDocument *theDocument, XalanSourceTreeParserLiaison &theParserLiaison, XalanSourceTreeDOMSupport &theDOMSupport, const XalanDOMString &theURI=XalanDOMString(XalanMemMgrs::getDummyMemMgr()), MemoryManagerType &theManager XALAN_DEFAULT_MEMMGR)
- virtual ~XalanSourceTreeWrapperParsedSource ()
- virtual XalanDocument* getDocument () const
    Get a pointer to the XalanDocument instance for the source document. More...
- virtual XalanParsedSourceHelper* createHelper (MemoryManagerType &theManager XALAN_DEFAULT_MEMMGR) const
    Create the appropriate XalanParsedSourceHelper instance to use for transforming with the instance. More...
- virtual const XalanDOMString& getURI () const
    Get the URI for the parsed source, if any. More...

## Detailed Description

This is designed to allow a XalanTranfomer object to wrap a parsed Xerces document.

## Constructor & Destructor Documentation

XalanSourceTreeWrapperParsedSource::XalanSourceTreeWrapperParsedSource ( | XalanSourceTreeDocument * theDocument,
| XalanSourceTreeParserLiaison & theParserLiaison,
| XalanSourceTreeDOMSupport & theDOMSupport,
| const XalanDOMString & theURI = XalanDOMString(XalanMemMgrs::getDummyMemMgr()),
| MemoryManagerType &theManager XALAN_DEFAULT_MEMMGR )

XalanSourceTreeWrapperParsedSource::~XalanSourceTreeWrapperParsedSource ( | )`[virtual]`

## Member Function Documentation

XalanParsedSourceHelper * XalanSourceTreeWrapperParsedSource::createHelper ( | MemoryManagerType & theManager ) const`[virtual]`

| Create the appropriate XalanParsedSourceHelper instance to use for transforming with the instance. The caller is responsible for deleting the object when finished. Returns: A pointer to a XalanParsedSourceHelper instance. Reimplemented from XalanParsedSource.

XalanDocument * XalanSourceTreeWrapperParsedSource::getDocument ( | ) const`[virtual]`

| Get a pointer to the XalanDocument instance for the source document. Returns: A pointer to a XalanDocument instance. Reimplemented from XalanParsedSource.

const XalanDOMString & XalanSourceTreeWrapperParsedSource::getURI ( | ) const`[virtual]`

| Get the URI for the parsed source, if any. use for transforming with the instance. Returns: A const reference to a string containing the URI Reimplemented from XalanParsedSource.

The documentation for this class was generated from the following file:

- XalanSourceTreeWrapperParsedSource.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.